FROM debian:bullseye-slim

RUN apt-get update &&  \
    apt-get install -y \
      ocrmypdf && \
    apt-get clean && \
    rm -rf /var/lib/apt/lists/*

RUN adduser ocrmypdf --home /home/ocrmypdf --disabled-password --quiet

USER ocrmypdf

WORKDIR /home/ocrmypdf

ENTRYPOINT ["ocrmypdf"]
